ValidationEvent (Java Platform SE 8 )
Keywords: javax.xml.bind.ValidationEvent interface
Date: 2016-04-24

javax.xml.bind

## Interface ValidationEvent

- All Known Subinterfaces:
    NotIdentifiableEvent, ParseConversionEvent, PrintConversionEvent
  All Known Implementing Classes:
    NotIdentifiableEventImpl, ParseConversionEventImpl, PrintConversionEventImpl, ValidationEventImpl

      public interface ValidationEvent

  This event indicates that a problem was encountered while validating the incoming XML data during an unmarshal operation, while performing on-demand validation of the Java content tree, or while marshalling the Java content tree back to XML data.
  Since:
    JAXB1.0
  See Also:
    `Validator`, `ValidationEventHandler`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR` Conditions that correspond to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation
    `static int` | `FATAL_ERROR` Conditions that correspond to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation
    `static int` | `WARNING` Conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getLinkedException()` Retrieve the linked exception for this warning/error.
    `ValidationEventLocator` | `getLocator()` Retrieve the locator for this warning/error.
    `String` | `getMessage()` Retrieve the text message for this warning/error.
    `int` | `getSeverity()` Retrieve the severity code for this warning/error.

- - ### Field Detail

    - #### WARNING

          static final int WARNING

      Conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation
      See Also:
        Constant Field Values

    - #### ERROR

          static final int ERROR

      Conditions that correspond to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation
      See Also:
        Constant Field Values

    - #### FATAL_ERROR

          static final int FATAL_ERROR

      Conditions that correspond to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSeverity

          int getSeverity()

      Retrieve the severity code for this warning/error.

      Must be one of `ValidationError.WARNING`, `ValidationError.ERROR`, or `ValidationError.FATAL_ERROR`.

      Returns:
        the severity code for this warning/error

    - #### getMessage

          String getMessage()

      Retrieve the text message for this warning/error.
      Returns:
        the text message for this warning/error or null if one wasn't set

    - #### getLinkedException

          Throwable getLinkedException()

      Retrieve the linked exception for this warning/error.
      Returns:
        the linked exception for this warning/error or null if one wasn't set

    - #### getLocator

          ValidationEventLocator getLocator()

      Retrieve the locator for this warning/error.
      Returns:
        the locator that indicates where the warning/error occurred

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.